@charset "UTF-8";

/* フォント */
.zen-old-mincho-regular {
    font-family: "Zen Old Mincho", serif;
    font-weight: 400;
    font-style: normal;
  }
/* ココから本編 */

html {
    font-size: 100%;
}
body {
	color: #ffff;
    text-align: center;
    font-family: "Zen Old Mincho", serif;
    font-weight: 400;
    font-style: normal;
}
p {
    line-height: 1.7;
}
.title {
    font-size: 5rem;
    margin-bottom: 2rem;
    writing-mode: vertical-rl;
    margin: 0 auto;
}
.about {
    font-size: 2rem;
    margin-bottom: 1rem;
}
/* メニュー */
.menu {
    margin-bottom: 2rem;
    margin-top: 2rem;
    background-color: #ffff;
    color: #000000;
}
/* 店舗情報 */
.saigo {
    margin-bottom: 2rem;
    margin-top: 2rem;
    background-color: #ffff;
    color: #000000;
}
h2 {
    font-size: 30px;
}
.bar {
    background-color: #fff;
    color: #000;
    font-size: 50px;
}
/* メニューバー */
/*ベース*/
.toggle {
	display: none;
}
.Label {		/*タイトル*/
	padding: 1em;
	display: block;
	color: #fff;
	background:#000;
    font-size: large;
}
.Label::before{		/*タイトル横の矢印*/
	content:"";
	width: 6px;
	height: 6px;
	border-top: 2px solid #019ac6;
	border-right: 2px solid #019ac6;
	-webkit-transform: rotate(45deg);
	position: absolute;
	top:calc( 50% - 3px );
	right: 20px;
	transform: rotate(135deg);
}
.Label,
.content {
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	transform: translateZ(0);
	transition: all 0.3s;
    font-size: large;
}
.content {		/*本文*/
	height: 0;
	margin-bottom:10px;
	padding:0 20px;
	overflow: hidden;
    color: #000;
}
.toggle:checked + .Label + .content {	/*開閉時*/
	height: auto;
	padding:20px ;
	transition: all .3s;
}
.toggle:checked + .Label::before {
	transform: rotate(-45deg) !important;
}
/*　ココまで */
.container {
    /* スクロールスナップの設定 */
    overflow: auto;
    scroll-snap-type: y mandatory;
    height: 100vh;
}
.area {
    padding: 1rem;

    /* テキストを画面中央に表示 */
    display: flex;
    flex-direction: column;
    justify-content: center;

    /* スクロールスナップの設定 */
    height: 80vh;
    h1 {
        font-size: 80px;
    }
    h2 {
        font-size: 30px;
    }
    p {
        font-size: 17px;
    }
}

/* 各エリアの背景 */
.area:nth-child(even) {
    background-color: #000000;

}
/* マップ設定 */
.gmap_iframe {
    aspect-ratio: 16 / 9;
    max-width: 1000px;
    width: 100%;
    height: auto;
}
/* 料理長設定 */
.ryouricho {
    h2 {
        font-size: 20px;
        color: #000;
    }
    p {
        font-size: 30px;
        color: #000;
    }
    img {
        width: 330px;
        height: 400px;
        object-fit: cover;
      }
}

/* 最後のところ */
.saigo {
    font-size: large;
}

/* 何かわからない↓ */
.area:nth-child(odd) {
    background-image: url(../homesushi.jpg);
    /* 画像を常に天地左右の中央に配置 */
    background-position: center center;
    /* 画像をタイル状に繰り返し表示しない */
    background-repeat: repeat;
    /* コンテンツの高さが画像の高さより大きい時、動かないように固定 */
    /* 表示するコンテナの大きさに基づいて、背景画像を調整 */
    background-size: cover;
}

/* 最後の画像ーーーー */
.saigo {
    img  {
        margin-bottom: 30px
    };
}

 /* フッター */
footer {
    background-color: #8b0000;
    color: #fff;
    position: fixed;
  bottom: 0;
  width: 100%;
    }
    
    .footer-menu {
    height: 60px;
    }
    
    .footer-menu-list {
    list-style: none;
    text-align: center;
    line-height: 60px;
    }
    
    .footer-menu-list li {
    margin: 10px;
    display: inline;
    }
    
    .copyright {
    text-align: center;
    }
    li {
        font-size: large;
    }

    /* ーーーーー　お問い合わせボタン　ーーーーー*/

    *,
    *:before,
    *:after {
      -webkit-box-sizing: inherit;
      box-sizing: inherit;
    }
    
    html {
      -webkit-box-sizing: border-box;
      box-sizing: border-box;
      font-size: 62.5%;
    }
    
    .btn,
    a.btn,
    button.btn {
      font-size: 1.6rem;
      font-weight: 700;
      line-height: 1.5;
      position: relative;
      display: inline-block;
      padding: 1rem 4rem;
      cursor: pointer;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
      -webkit-transition: all 0.3s;
      transition: all 0.3s;
      text-align: center;
      vertical-align: middle;
      text-decoration: none;
      letter-spacing: 0.1em;
      color: #212529;
      border-radius: 0.5rem;
    }
    
    .btn--orange,
    a.btn--orange {
      color: #fff;
      background-color: #8b0000;
    }
    
    .btn--orange:hover,
    a.btn--orange:hover {
      color: #fff;
      background: #8b0000;
    }
/*
モバイルサイズ
================================================ */
@media (max-width: 400px) {
    .title {
        font-size: 3rem;
    }
}

.map {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 75%; /* 比率を4:3に固定 */
  }
   
  /* Google Mapのiframe */
  .map iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }